
mxm
n
512

      DOUBLE PRECISION a(n,n),b(n,n),c(n,n)
      !$ UNROLL 4
      DO i=1,n
        DO j=1,n
          DO k=1,n
            c(i,j)=c(i,j)+a(i,k)*b(k,j)
          ENDDO 
        ENDDO 
      ENDDO 
      PRINT *,c(2,3)
      END
